# Uses of Interface
org.eclipse.birt.chart.model.data.NullDataSet

Packages that use NullDataSet
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of NullDataSet in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return NullDataSet
Modifier and Type
Method
Description
`NullDataSet`
NullDataSet.`copyInstance()`
`NullDataSet`
DataFactory.`createNullDataSet()`
Returns a new object of class 'Null Data Set'.

## Uses of NullDataSet in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement NullDataSet
Modifier and Type
Class
Description
`class`
`NullDataSetImpl`
An implementation of the model object 'Null Data Set'.
Methods in org.eclipse.birt.chart.model.data.impl that return NullDataSet
Modifier and Type
Method
Description
`NullDataSet`
NullDataSetImpl.`copyInstance()`
`static final NullDataSet`
NullDataSetImpl.`create(int iRowCount)`
A convenience method to create an initialized 'NullDataSet' instance
`NullDataSet`
DataFactoryImpl.`createNullDataSet()`